%{?nodejs_find_provides_and_requires}

%global packagename git-tails

# Tests disabled as they assume that we're building from a git checkout
%global enable_tests 0

Name:		nodejs-git-tails
Version:	1.1.0
Release:	1%{?dist}
Summary:	Get git tail hashes from your repository in reverse chronological order

License:	MIT
URL:		https://github.com/stevemao/git-tails
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh
# The license is not included in the npm tarball
Source11:	LICENSE-MIT

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(meow)
%if 0%{?enable_tests}
BuildRequires:	git
BuildRequires:	mocha
BuildRequires:	npm(mock-git)
%endif

%description
Get git tail hashes from your repository in reverse chronological order


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package
# The license is not included in the npm tarball
# license
cp -p %{SOURCE11} .

sed -i '1s/env //' cli.js

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
# fake the git environment
git init
git add cli.js index.js package.json README.md
git commit -m 'Initial packaging'
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%license LICENSE-MIT
%{nodejs_sitelib}/%{packagename}

%changelog
* Sun May  7 2017 Jared Smith <jsmith@fedoraproject.org> - 1.1.0-1
- Initial packaging
